Update Events
/unified/calendar/events/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
allexternal_onlynone
2 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
If providing the start_time, the end_time should also be provided.
3 supported2 required
The title of the event.
3 supported
The attendees associated with the event.
3 supported
Indicates if the attendance is optional.
Indicates if the attendee is the organizer of the event.
Indicates if the attendee is the authenticated user.
The person associated with the attendee.
3 properties
The emails of the person.
2 properties
The email of the person.
The type of the email.
The unique identifier of the person.
The name of the person.
The response of the attendee.
2 properties
The comment of the response.
The status of the response.
needs_actiondeclinedtentativeaccepted
The availability of the user during the time period of the event.
busyfree
3 supported
The calendar associated with the event.
3 supported3 required
The unique identifier of the calendar.
The name of the calendar.
The description of the event.
3 supported
If providing the end_time, the start_time should also be provided.
3 supported2 required
Indicates if guests can invite others to the event.
2 supported
Indicates if guests can modify the event.
2 supported
Indicates if guests can see other guests of the event.
2 supported
The location of the event.
3 supported
6 properties
The city of the address.
The country of the address.
The postal code of the address.
The state of the address.
The first line of the street address.
The second line of the street address.
2 properties
The latitude of the location.
The longitude of the location.
The unique identifier of the location.
The name of the location.
The URL of the location.
The recurrence of the event. List of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545.
3 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The status of the event.
confirmedtentativecancelleddraft
3 supported
Required if start_time or end_time is provided.
3 supported
The visibility of the event.
calendar_defaultpublicprivate
3 supported
Response Body
The unique identifier of the event.
3 supported
The date and time when the event starts.
3 supported
The title of the event.
3 supported
The attachments associated with the event.
2 supported
The date when the attachment was created.
The unique identifier of the attachment.
The MIME type of the attachment.
The name of the attachment.
The date when the attachment was updated.
The URL of the attachment.
The attendees associated with the event.
3 supported
Indicates if the attendance is optional.
Indicates if the attendee is the organizer of the event.
Indicates if the attendee is the authenticated user.
The person associated with the attendee.
3 properties
The emails of the person.
2 properties
The email of the person.
The type of the email.
The unique identifier of the person.
The name of the person.
The response of the attendee.
2 properties
The comment of the response.
The status of the response.
needs_actiondeclinedtentativeaccepted
The availability of the user during the time period of the event.
busyfree
3 supported
The calendar associated with the event.
3 supported
The unique identifier of the calendar.
The name of the calendar.
The date when the event was created.
3 supported
The person who created the event.
3 supported
The emails of the person.
2 properties
The email of the person.
The type of the email.
The unique identifier of the person.
The name of the person.
The description of the event.
3 supported
The date and time when the event ends.
3 supported
The event type object associated with the event.
The unique identifier of the event type.
Indicates if guests can invite others to the event.
2 supported
Indicates if guests can modify the event.
2 supported
Indicates if guests can see other guests of the event.
2 supported
Indicates if the event has attachments.
3 supported
The identifiers associated with the event.
3 supported
The iCalendar sequence of the event.
The iCalendar UID of the event.
Indicates if the event is locked and cannot be modified.
2 supported
Indicates if the event is recurring.
3 supported
The location of the event.
3 supported
6 properties
The city of the address.
The country of the address.
The postal code of the address.
The state of the address.
The first line of the street address.
The second line of the street address.
2 properties
The latitude of the location.
The longitude of the location.
The unique identifier of the location.
The name of the location.
The URL of the location.
The person who created the event.
3 supported
The emails of the person.
2 properties
The email of the person.
The type of the email.
The unique identifier of the person.
The name of the person.
The parent event of a recurring event.
3 supported
The unique identifier of the parent event.
The recurrence of the event. List of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545.
3 supported
Raw data returned from the remote API call.
The status of the event.
confirmedtentativecancelleddraft
3 supported
The timezone of the event.
3 supported
The type of the event.
defaultout_of_officefocus_timeworking_location
3 supported
The date when the event was updated.
3 supported
The URLs associated with the event.
3 supported
The type of the URL.
The URL of the event.
The visibility of the event.
calendar_defaultpublicprivate
3 supported
curl -X PATCH 'https://api.truto.one/unified/calendar/events/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"calendar": {},
"start_time": "your_start_time",
"end_time": "your_end_time",
"timezone": "your_timezone",
"title": "your_title",
"description": "your_description",
"status": "confirmed",
"availability": "busy",
"visibility": "calendar_default",
"recurrence": [],
"attendees": [],
"guests_can_invite_others": true,
"guests_can_modify": true,
"guests_can_see_other_guests": true,
"location": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"calendar": {},
"start_time": "your_start_time",
"end_time": "your_end_time",
"timezone": "your_timezone",
"title": "your_title",
"description": "your_description",
"status": "confirmed",
"availability": "busy",
"visibility": "calendar_default",
"recurrence": [],
"attendees": [],
"guests_can_invite_others": true,
"guests_can_modify": true,
"guests_can_see_other_guests": true,
"location": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/calendar/events/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/calendar/events/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"calendar": {},
"start_time": "your_start_time",
"end_time": "your_end_time",
"timezone": "your_timezone",
"title": "your_title",
"description": "your_description",
"status": "confirmed",
"availability": "busy",
"visibility": "calendar_default",
"recurrence": [],
"attendees": [],
"guests_can_invite_others": True,
"guests_can_modify": True,
"guests_can_see_other_guests": True,
"location": {},
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'calendar',
'events',
'<resource_id>',
{
"calendar": {},
"start_time": "your_start_time",
"end_time": "your_end_time",
"timezone": "your_timezone",
"title": "your_title",
"description": "your_description",
"status": "confirmed",
"availability": "busy",
"visibility": "calendar_default",
"recurrence": [],
"attendees": [],
"guests_can_invite_others": true,
"guests_can_modify": true,
"guests_can_see_other_guests": true,
"location": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"calendar",
"events",
"<resource_id>",
{
"calendar": {},
"start_time": "your_start_time",
"end_time": "your_end_time",
"timezone": "your_timezone",
"title": "your_title",
"description": "your_description",
"status": "confirmed",
"availability": "busy",
"visibility": "calendar_default",
"recurrence": [],
"attendees": [],
"guests_can_invite_others": True,
"guests_can_modify": True,
"guests_can_see_other_guests": True,
"location": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())